Results 1 to 3 of 3

Thread: kupdater applet is throwing an error!

  1. #1

    Default kupdater applet is throwing an error!

    Just recently I added a few new repositories (may be unrelated) and now I'm getting an error that doesn't tell me much. It says:

    DBus error: Unable to get transaction id from packagekit

    How do I fix this and what's causing it?

    UPDATE: Never mind, I'm an idiot. I had YAST open in the background. Sorry.

  2. #2
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Smile Re: kupdater applet is throwing an error!

    Tell us what version of the update that you are using? I use KDE 4.4.3 and the KUPDATEAPPLET version is 0.9.2-1.4. I also had the same problem that you speak of when using a later version and so I dropped down to my present version. It works fine, but it always wants to update its self to the newest version. To prevent this, I locked it it present version. So, you might consider doing the same, if you are using KDE. Since openSUSE 11.3 will be coming out in less than three weeks, I am just not all that concerned about what it is doing under 11.2. I plan on moving up to the newest openSUSE version when it comes out.

    Thank You,
    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

  3. #3
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Smile Re: kupdater applet is throwing an error!

    Also, I forgot to add that if you have the Yast Software Repositories or Software Management applications open and then try to use the update applet or the applet decides it is time to check for updates, you can also get a DBus error.

    Thank You,
    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •